
Core - Task # 55528

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55520 (Resolved): As an User I want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have
Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-01-31 Assigned To: Marc Bastian Heinrichs
Updated: 2014-03-11 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Importing a identical sys_file_storage have to be prevented
Description

In this case the references to the sys_file_storage in sys_file and sys_file_processedfile needs to be changed to the existing one.

Related issues:
related to Core - Task # 55532: Impexp: import the binary files being sys_fil... Resolved 2014-01-31

Associated revisions
Revision 6d04aab0 - 2014-03-11 17:35 - Marc Bastian Heinrichs

[TASK] Add FAL support for import in sys extension impexp

Until now only files from TCA type group internal_type file or
file_reference could be imported and exports from version 6.x
including sys_file records leads to exceptions on importing.
The patch adds support for handling record types introduced
with the File Abstraction Layer.

Resolves: #55532
Resolves: #55528
Resolves: #55906
Releases: 6.2
Change-Id: I7521c84094b0a0424e13c5f91c26b630bbbccbfe
Reviewed-on: https://review.typo3.org/27836
Reviewed-by: Fabien Udriot
Tested-by: Fabien Udriot
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History
#1 - 2014-02-25 14:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27836

#2 - 2014-02-25 14:50 - Marc Bastian Heinrichs
- % Done changed from 0 to 80

#3 - 2014-02-25 15:32 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27836

#4 - 2014-02-25 17:02 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27836

#5 - 2014-03-06 18:46 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27836

#6 - 2014-03-11 14:41 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27836

#7 - 2014-03-11 16:14 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27836

#8 - 2014-03-11 18:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:6d04aab04870bd81da36cba4fad9cb8d23c9b92a.
